Bug 1164152 - Review Request: golang-github-emicklei-go-restful - Package for building REST-style Web Services using Google Go
Summary: Review Request: golang-github-emicklei-go-restful - Package for building REST...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 08:26 UTC by Jan Chaloupka
Modified: 2015-04-21 19:21 UTC (History)
2 users (show)

Fixed In Version: golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-03 01:05:39 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-11-14 08:26:45 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-emicklei-go-restful/golang-github-emicklei-go-restful.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-emicklei-go-restful/golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc20.src.rpm

Description: Package for building REST-style Web Services using Google Go

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8139622

$ rpmlint golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc20.src.rpm golang-github-emicklei-go-restful-devel-0-0.1.gitad99b12.fc20.noarch.rpm golang-github-emicklei-go-restful.spec
golang-github-emicklei-go-restful-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/emicklei/go-restful/examples/google_app_engine/datastore/.goconvey
golang-github-emicklei-go-restful-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/emicklei/go-restful/examples/.goconvey
golang-github-emicklei-go-restful-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/emicklei/go-restful/examples/google_app_engine/.goconvey
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Upstream URL: https://github.com/emicklei/go-restful

I beliebe we should keep .goconvey file as it is. https://github.com/smartystreets/goconvey/wiki/Profiles

Comment 1 Lokesh Mandvekar 2014-11-19 16:37:47 UTC
Approved. Spec file conforms to current golang packaging guidelines. Only sources installed for now.

Comment 2 Jan Chaloupka 2014-11-20 08:19:14 UTC
New Package SCM Request
=======================
Package Name: golang-github-emicklei-go-restful
Short Description: Package for building REST-style Web Services using Google Go
Upstream URL: https://github.com/emicklei/go-restful
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2014-11-20 13:38:50 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-11-20 15:56:50 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc20

Comment 5 Fedora Update System 2014-11-20 15:57:24 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc21

Comment 6 Fedora Update System 2014-11-20 15:59:03 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.1.gitad99b12.el6

Comment 7 Fedora Update System 2014-11-22 04:14:29 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2014-12-03 01:05:39 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-12-06 10:53:39 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2014-12-06 17:08:27 UTC
golang-github-emicklei-go-restful-0-0.1.gitad99b12.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2014-12-10 16:34:50 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.2.git692a500.fc20

Comment 12 Fedora Update System 2014-12-10 16:53:22 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.2.git692a500.fc21

Comment 13 Fedora Update System 2014-12-10 16:53:45 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-0-0.2.git692a500.el6

Comment 14 Fedora Update System 2014-12-20 08:43:58 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-12-20 08:50:19 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-03 00:12:09 UTC
golang-github-emicklei-go-restful-0-0.2.git692a500.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-04-01 12:51:36 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc22

Comment 18 Fedora Update System 2015-04-01 12:52:58 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc21

Comment 19 Fedora Update System 2015-04-01 13:01:40 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc20

Comment 20 Fedora Update System 2015-04-01 13:05:20 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.el6

Comment 21 Fedora Update System 2015-04-10 07:28:21 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-04-11 09:06:51 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-04-20 18:36:51 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-04-21 19:21:25 UTC
golang-github-emicklei-go-restful-1.1.3-0.1.git5e1952e.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.